@keyframes loop {
    0% {
        transform-origin: 0% 50%;
        transform: scale3d(0, 1, 1)
    }

    50% {
        transform-origin: 0% 50%;
        transform: scale3d(1, 1, 1)
    }

    51% {
        transform-origin: 100% 50%
    }

    100% {
        transform-origin: 100% 50%;
        transform: scale3d(0, 1, 1)
    }
}

.hover-reveal {
    position: fixed;
    width: 250px;
    height: 200px;
    top: 0;
    left: 0;
    pointer-events: none;
    opacity: 0;
    z-index: 9
}

.hover-reveal__img,
.hover-reveal__inner {
    width: 100%;
    height: 100%;
    position: relative
}

.hover-reveal__img {
    background-size: cover;
    background-position: 50% 50%
}